<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku SerialPort.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_serial_port_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku SerialPort.cpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicje metod klasy <a class="el" href="class_serial_port.html" title="Modeluje port szeregowy.">SerialPort</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla SerialPort.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp__incl.png" border="0" usemap="#a_serial_port_8cpp" alt=""/></div>
<map name="a_serial_port_8cpp" id="a_serial_port_8cpp">
<area shape="rect" title="Definicje metod klasy SerialPort." alt="" coords="552,5,655,31"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="552,79,655,104"/>
<area shape="poly" title=" " alt="" coords="606,31,606,65,601,65,601,31"/>
<area shape="rect" title=" " alt="" coords="492,225,547,251"/>
<area shape="poly" title=" " alt="" coords="552,97,415,102,244,112,93,129,41,141,15,154,9,165,11,174,22,184,41,192,98,207,172,217,341,230,478,234,478,239,341,235,172,223,97,212,39,197,19,188,7,177,3,164,11,150,40,136,92,124,244,107,414,97,552,91"/>
<area shape="rect" title=" " alt="" coords="25,152,97,177"/>
<area shape="poly" title=" " alt="" coords="552,100,362,119,238,135,110,155,110,149,238,129,361,114,552,94"/>
<area shape="rect" title=" " alt="" coords="121,152,248,177"/>
<area shape="poly" title=" " alt="" coords="552,104,262,153,261,148,552,99"/>
<area shape="rect" title=" " alt="" coords="273,152,342,177"/>
<area shape="poly" title=" " alt="" coords="556,107,356,154,355,149,554,101"/>
<area shape="rect" title=" " alt="" coords="366,152,427,177"/>
<area shape="poly" title=" " alt="" coords="571,107,442,151,440,146,569,101"/>
<area shape="rect" title=" " alt="" coords="451,152,510,177"/>
<area shape="poly" title=" " alt="" coords="585,106,514,147,511,143,582,102"/>
<area shape="rect" title=" " alt="" coords="535,152,592,177"/>
<area shape="poly" title=" " alt="" coords="599,106,579,141,574,139,594,103"/>
<area shape="rect" title=" " alt="" coords="616,152,673,177"/>
<area shape="poly" title=" " alt="" coords="612,103,633,139,629,141,608,106"/>
<area shape="rect" title=" " alt="" coords="697,152,784,177"/>
<area shape="poly" title=" " alt="" coords="627,102,707,143,705,148,624,106"/>
<area shape="rect" title=" " alt="" coords="808,152,887,177"/>
<area shape="poly" title=" " alt="" coords="643,101,796,146,794,151,642,107"/>
<area shape="rect" title=" " alt="" coords="911,152,978,177"/>
<area shape="poly" title=" " alt="" coords="656,100,899,149,899,149,898,155,897,155,655,105"/>
<area shape="rect" href="_robot_data_8hpp.html" title="Definicja klasy RobotData." alt="" coords="1125,152,1231,177"/>
<area shape="poly" title=" " alt="" coords="655,95,851,116,1111,149,1111,154,850,121,655,100"/>
<area shape="rect" href="odbieranie_8hh.html" title=" " alt="" coords="1002,152,1101,177"/>
<area shape="poly" title=" " alt="" coords="655,97,989,149,988,154,654,103"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="1255,152,1359,177"/>
<area shape="poly" title=" " alt="" coords="655,93,904,113,1070,129,1242,149,1241,155,1069,134,903,118,655,99"/>
<area shape="rect" title=" " alt="" coords="1149,225,1207,251"/>
<area shape="poly" title=" " alt="" coords="1181,178,1181,212,1175,212,1175,178"/>
<area shape="poly" title=" " alt="" coords="1002,178,990,180,747,213,561,235,560,230,746,208,990,175,1001,173"/>
<area shape="rect" title=" " alt="" coords="1270,225,1345,251"/>
<area shape="poly" title=" " alt="" coords="1310,178,1310,212,1305,212,1305,178"/>
</map>
</div>
</div>
<p><a href="_serial_port_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a21626d35c8ce984e1085d6224f0ba720"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720">parseDataFrame</a> (const char *data_frame, <a class="el" href="class_robot_data.html">RobotData</a> *data, int data_length)</td></tr>
<tr class="memdesc:a21626d35c8ce984e1085d6224f0ba720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Analizuje otrzymaną ramkę danych.  <br /></td></tr>
<tr class="separator:a21626d35c8ce984e1085d6224f0ba720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0466d31f193efdfcc7b4d13472a27254"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254">checkCRC</a> (char *data_frame, int data_length, char crc)</td></tr>
<tr class="memdesc:a0466d31f193efdfcc7b4d13472a27254"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sprawdza zgodność sumy kontrolnej CRC.  <br /></td></tr>
<tr class="separator:a0466d31f193efdfcc7b4d13472a27254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a750bdeca814dbfc7b7010d4b30c56023"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023">crc8</a> (char *data_frame, int data_length)</td></tr>
<tr class="memdesc:a750bdeca814dbfc7b7010d4b30c56023"><td class="mdescLeft">&#160;</td><td class="mdescRight">Oblicza sumę kontrolną otrzymanej ramki danych.  <br /></td></tr>
<tr class="separator:a750bdeca814dbfc7b7010d4b30c56023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6362cdaadde6e3f843a85a3713bb1e0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c">process</a> (<a class="el" href="class_serial_port.html">SerialPort</a> *serial)</td></tr>
<tr class="memdesc:a6362cdaadde6e3f843a85a3713bb1e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funkcja wykonywana przez wątek czytający.  <br /></td></tr>
<tr class="separator:a6362cdaadde6e3f843a85a3713bb1e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a21626d35c8ce984e1085d6224f0ba720" name="a21626d35c8ce984e1085d6224f0ba720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21626d35c8ce984e1085d6224f0ba720">&#9670;&#160;</a></span>parseDataFrame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool parseDataFrame </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>data_frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_robot_data.html">RobotData</a> *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>data_length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Ramkę w postaci tablicy rzutuje na strumień danych. Sprawdzana jest poprawność ramki (pierwszy znak) a następnie dane zostają wczytane i aktualizowane w obiekcie <a class="el" href="class_robot_data.html" title="Zbiór wszystkich danych otrzymywanych z robota.">RobotData</a>.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data_frame</td><td>- ramka danych </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- obiekt przechowywujący wszystkie dane robota</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>Zwraca true jeżeli dane zostały wczytane poprawnie lub false jeżeli znak startu ramki sie nie zgadzał lub nastąpił błąd strumienia wejściowego. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00102">102</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_cgraph.png" border="0" usemap="#a_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_cgraph" alt=""/></div>
<map name="a_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_cgraph" id="a_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_cgraph">
<area shape="rect" title="Analizuje otrzymaną ramkę danych." alt="" coords="5,80,124,105"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="209,5,293,31"/>
<area shape="poly" title=" " alt="" coords="89,78,171,40,195,31,197,36,173,44,91,82"/>
<area shape="rect" href="class_robot_data.html#affa0add6183e662083841442a9976cb3" title="Aktualizuje dane z transoptorów odbiciowych." alt="" coords="175,55,327,80"/>
<area shape="poly" title=" " alt="" coords="124,82,162,77,162,82,125,87"/>
<area shape="rect" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f" title="Aktualizuje dane z czujników odległości." alt="" coords="172,104,331,129"/>
<area shape="poly" title=" " alt="" coords="125,98,159,102,158,107,124,103"/>
<area shape="rect" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa" title="Aktualizuje prędkości silników." alt="" coords="175,153,328,179"/>
<area shape="poly" title=" " alt="" coords="93,103,173,138,196,147,194,152,171,143,91,108"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="379,5,425,31"/>
<area shape="poly" title=" " alt="" coords="294,15,365,15,365,21,294,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_icgraph.png" border="0" usemap="#a_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_icgraph" alt=""/></div>
<map name="a_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_icgraph" id="a_serial_port_8cpp_a21626d35c8ce984e1085d6224f0ba720_icgraph">
<area shape="rect" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a0466d31f193efdfcc7b4d13472a27254" name="a0466d31f193efdfcc7b4d13472a27254"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0466d31f193efdfcc7b4d13472a27254">&#9670;&#160;</a></span>checkCRC()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool checkCRC </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>data_frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>data_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>crc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Oczyszcza ramkę danych wydobywając tylko te użyteczne wartości a następnie liczy dla takiej tablicy sumę kontrolną, która to jest porównywana z otrzymaną w ramce. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00150">150</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_cgraph.png" border="0" usemap="#a_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_cgraph" alt=""/></div>
<map name="a_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_cgraph" id="a_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_cgraph">
<area shape="rect" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="5,5,89,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="137,5,184,31"/>
<area shape="poly" title=" " alt="" coords="90,15,124,15,124,21,90,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_icgraph.png" border="0" usemap="#a_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_icgraph" alt=""/></div>
<map name="a_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_icgraph" id="a_serial_port_8cpp_a0466d31f193efdfcc7b4d13472a27254_icgraph">
<area shape="rect" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="589,5,673,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="poly" title=" " alt="" coords="576,21,542,21,542,15,576,15"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a750bdeca814dbfc7b7010d4b30c56023" name="a750bdeca814dbfc7b7010d4b30c56023"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a750bdeca814dbfc7b7010d4b30c56023">&#9670;&#160;</a></span>crc8()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char crc8 </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>data_frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>data_length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00166">166</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph.png" border="0" usemap="#a_serial_port_8cpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph" alt=""/></div>
<map name="a_serial_port_8cpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph" id="a_serial_port_8cpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph">
<area shape="rect" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="721,5,768,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="589,5,673,31"/>
<area shape="poly" title=" " alt="" coords="707,21,673,21,673,15,707,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="poly" title=" " alt="" coords="576,21,542,21,542,15,576,15"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a6362cdaadde6e3f843a85a3713bb1e0c" name="a6362cdaadde6e3f843a85a3713bb1e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6362cdaadde6e3f843a85a3713bb1e0c">&#9670;&#160;</a></span>process()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void process </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_serial_port.html">SerialPort</a> *&#160;</td>
          <td class="paramname"><em>serial</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wątek rozpoczyna pracę w funkcji "main" i czeka na sygnał od zmiennej warunkowej. Po otrzymaniu sygnału czyta dane z pliku, dopóki nie nastąpi zamknięcie deskryptora. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00194">194</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph.png" border="0" usemap="#a_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph" alt=""/></div>
<map name="a_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph" id="a_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph">
<area shape="rect" title="Funkcja wykonywana przez wątek czytający." alt="" coords="5,104,73,129"/>
<area shape="rect" href="class_serial_port.html#a04a364848114cc5e6d9fb618b6b0a66d" title="Metoda decydująca o kontynuacji czytania." alt="" coords="121,79,281,104"/>
<area shape="poly" title=" " alt="" coords="73,109,107,103,108,109,74,114"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="124,128,279,153"/>
<area shape="poly" title=" " alt="" coords="74,119,110,124,110,130,73,124"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="355,79,474,104"/>
<area shape="poly" title=" " alt="" coords="256,125,345,105,346,110,258,131"/>
<area shape="rect" href="class_serial_port.html#a19e9af50f81a100e0e9bbaa5e2027b3d" title="Zwraca deskryptor pliku." alt="" coords="329,128,500,153"/>
<area shape="poly" title=" " alt="" coords="279,138,316,138,316,143,279,143"/>
<area shape="rect" href="odbieranie_8hh.html#aac03f023f654bbad587c2f5c0894e0bf" title=" " alt="" coords="359,177,471,203"/>
<area shape="poly" title=" " alt="" coords="258,151,346,172,345,177,256,156"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="585,5,669,31"/>
<area shape="poly" title=" " alt="" coords="447,76,547,39,571,32,573,37,549,45,449,81"/>
<area shape="rect" href="class_robot_data.html#affa0add6183e662083841442a9976cb3" title="Aktualizuje dane z transoptorów odbiciowych." alt="" coords="551,55,703,80"/>
<area shape="poly" title=" " alt="" coords="474,82,537,75,538,80,475,87"/>
<area shape="rect" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f" title="Aktualizuje dane z czujników odległości." alt="" coords="548,104,707,129"/>
<area shape="poly" title=" " alt="" coords="475,96,535,103,534,108,474,101"/>
<area shape="rect" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa" title="Aktualizuje prędkości silników." alt="" coords="551,153,704,179"/>
<area shape="poly" title=" " alt="" coords="468,101,501,113,549,138,570,146,568,151,547,143,499,118,466,107"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="755,5,801,31"/>
<area shape="poly" title=" " alt="" coords="670,15,741,15,741,21,670,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph.png" border="0" usemap="#a_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph" alt=""/></div>
<map name="a_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph" id="a_serial_port_8cpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph">
<area shape="rect" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_serial_port_8cpp.html">SerialPort.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
